<%@ include file="/WEB-INF/stylesheets/include.jsp" %>

<table class="documents_light" cellpadding="0" cellspacing="0">								
	<tr class="sort">
		<td colspan="2" align="center">
			<fmt:message key="results.documents-results.sort"/>&nbsp;:&nbsp;&nbsp;
			<c:forEach begin="0" end="${sortFieldsSize}" var="sort_index">
			
				<c:forEach begin="0" end="${resultFieldsSize-1}" var="index">
					<c:set var="result_field" value="${resultFields[index]}" />
					<c:if test="${result_field.key==sortFields[sort_index]}">
						
						<c:set var="isCurrentSortField" value="${currentSortField==resultFields[index].key}" />
						<c:set var="nextSortFieldAscending" value="true" />
						<c:if test="${isCurrentSortField and currentSortFieldAscending=='true'}">
							<c:set var="nextSortFieldAscending" value="false" />
						</c:if>
						
						<c:set var="href_url"><c:url value="${currentUrl}&amp;sort_field=${resultFields[index].key}&amp;sort_field_ascending=${nextSortFieldAscending}"/></c:set>
						<c:if test="${deployType=='portlet'}">
							<portlet:actionURL var="href_url">
							<portlet:param name="action" value="${currentAction}" />
							<portlet:param name="menuKey" value="${menuKey}" />
							    <portlet:param name="submenuKey" value="${currentSubmenuKey}" />
							    <portlet:param name="sort_field" value="${resultFields[index].key}" />
							    <portlet:param name="sort_field_ascending" value="${nextSortFieldAscending}" />
							</portlet:actionURL>
						</c:if>
						
						<c:choose>
							<c:when test="${isCurrentSortField}">
								
								<c:choose>
									<c:when test="${currentSortFieldAscending=='true'}">
										<a href="${href_url}" class="sort_ascending">
											<fmt:message key="menu.result.${menuKey}.${currentSubmenuKey}.${resultFields[index].key}"/>
										</a>
									</c:when>
									<c:otherwise>
										<a href="${href_url}" class="sort_reverse_ascending">
											<fmt:message key="menu.result.${menuKey}.${currentSubmenuKey}.${resultFields[index].key}"/>
										</a>
									</c:otherwise>
								</c:choose>
							</c:when>
							<c:otherwise>
								<a href="${href_url}" class="not_sort">
									<fmt:message key="menu.result.${menuKey}.${currentSubmenuKey}.${resultFields[index].key}"/>
								</a>
							</c:otherwise>
						</c:choose>
					</c:if>						
				</c:forEach>
			</c:forEach>
		</td>
	</tr>
		
	
					
		
	<c:forEach begin="0" end="${resultsList.resultsSize-1}" var="index_line">
		
		<c:set var="result" value="${resultsList.results[index_line]}" />
		
		<tr >
		
			<!-- picture -->
			<c:set var="cell_content" value="" />
			<c:forEach begin="0" end="${resultFieldsSize-1}" var="index_column">
				<c:set var="resultField" value="${resultFields[index_column]}" />
				<c:set var="resultFieldKey" value="${resultField.key}" />
				
				<c:if test="${resultFieldKey=='picture'}">
					
						<c:set var="values_size" value="${result.finalAttributeValues[resultFieldKey].transformedValuesSize}" />
						<c:if test="${values_size!=0}">
							<c:set var="value_to_add" value="${result.finalAttributeValues[resultFieldKey].transformedValues[0]}" />
							<c:set var="cell_content" value="${value_to_add}" />
						</c:if>
					
				</c:if>
			</c:forEach>
			
			<c:choose>
				<c:when test="${cell_content!='' and cell_content!=null}">
					<td valign="top" class="picture">
						<div style="position: absolute; z-index: 0;" >
							<div>
								<img style="width: 100px; height: 75px; position: absolute; z-index: 0;" border="1" src="data:image/png;base64,${cell_content}" alt="" onmouseover="larger(this)" onmouseout="smaller(this)"/>
							</div>
						</div>
					</td>
				</c:when>
				<c:otherwise>
					<td class="no_picture">
					</td>
				</c:otherwise>
			</c:choose>
			
			
			
			<td valign="top" class="doc">
					
					<!-- title -->
					<c:set var="cell_content" value="" />
					<c:forEach begin="0" end="${resultFieldsSize-1}" var="index_column">
						<c:set var="resultField" value="${resultFields[index_column]}" />
						<c:set var="resultFieldKey" value="${resultField.key}" />
						
						<c:if test="${resultFieldKey=='title'}">
							<b>
								
									<c:set var="values_size" value="${result.finalAttributeValues[resultFieldKey].transformedValuesSize}" />
									<c:if test="${values_size!=0}">
									
										<c:forEach begin="0" end="${values_size-1}" var="index_value">
											<c:set var="value_to_add" value="${result.finalAttributeValues[resultFieldKey].transformedValues[index_value]}" />
											
											<c:if test="${not (fn:endsWith(cell_content, ', ')) and cell_content!='' and value_to_add!=null}">
												<c:set var="cell_content" value="${cell_content}, " />
											</c:if>
											
											<c:set var="cell_content" value="${cell_content}${value_to_add}" />
											
										</c:forEach>
									</c:if>
								
							</b>
						</c:if>
					</c:forEach>
					<c:if test="${cell_content!=''}">
						<h2>${cell_content}</h2>
					</c:if>					
					
					<!-- editor -->
					<c:set var="cell_content" value="" />
					<c:forEach begin="0" end="${resultFieldsSize-1}" var="index_column">
						<c:set var="resultField" value="${resultFields[index_column]}" />
						<c:set var="resultFieldKey" value="${resultField.key}" />
						
						<c:if test="${resultFieldKey=='editor'}">
							
								<c:set var="values_size" value="${result.finalAttributeValues[resultFieldKey].transformedValuesSize}" />
								<c:if test="${values_size!=0}">
								
									<c:forEach begin="0" end="${values_size-1}" var="index_value">
										<c:set var="value_to_add" value="${result.finalAttributeValues[resultFieldKey].transformedValues[index_value]}" />
										
										<c:if test="${not (fn:endsWith(cell_content, ', ')) and cell_content!='' and value_to_add!=null}">
											<c:set var="cell_content" value="${cell_content}, " />
										</c:if>
										
										<c:set var="cell_content" value="${cell_content}${value_to_add}" />
										
									</c:forEach>
								</c:if>
							
						</c:if>
					</c:forEach>
					<c:if test="${cell_content!=''}">
						 / ${cell_content}
					</c:if>
					
					<!-- date -->
					<c:set var="cell_content" value="" />
					<c:forEach begin="0" end="${resultFieldsSize-1}" var="index_column">
						<c:set var="resultField" value="${resultFields[index_column]}" />
						<c:set var="resultFieldKey" value="${resultField.key}" />
						
						<c:if test="${resultFieldKey=='date'}">
							
								<c:set var="values_size" value="${result.finalAttributeValues[resultFieldKey].transformedValuesSize}" />
								<c:if test="${values_size!=0}">
								
									<c:forEach begin="0" end="${values_size-1}" var="index_value">
										<c:set var="value_to_add" value="${result.finalAttributeValues[resultFieldKey].transformedValues[index_value]}" />
										
										<c:if test="${not (fn:endsWith(cell_content, ', ')) and cell_content!='' and value_to_add!=null}">
											<c:set var="cell_content" value="${cell_content}, " />
										</c:if>
										
										<c:set var="cell_content" value="${cell_content}${value_to_add}" />
										
									</c:forEach>
								</c:if>
							
						</c:if>
					</c:forEach>
					<c:if test="${cell_content!=''}">
						 / ${cell_content}
					</c:if>
					
					<!-- repository -->
					<c:set var="cell_content" value="" />
					<c:forEach begin="0" end="${resultFieldsSize-1}" var="index_column">
						<c:set var="resultField" value="${resultFields[index_column]}" />
						<c:set var="resultFieldKey" value="${resultField.key}" />
						
						<c:if test="${resultFieldKey=='repository'}">
							
								<c:set var="values_size" value="${result.finalAttributeValues[resultFieldKey].transformedValuesSize}" />
								<c:if test="${values_size!=0}">
								
									<c:forEach begin="0" end="${values_size-1}" var="index_value">
										<c:set var="value_to_add" value="${result.finalAttributeValues[resultFieldKey].transformedValues[index_value]}" />
										
										<c:if test="${not (fn:endsWith(cell_content, ', ')) and cell_content!='' and value_to_add!=null}">
											<c:set var="cell_content" value="${cell_content}, " />
										</c:if>
										
										<c:set var="cell_content" value="${cell_content}${value_to_add}" />
										
									</c:forEach>
								</c:if>
							
						</c:if>
					</c:forEach>
					<c:if test="${cell_content!=''}">
						 / ${cell_content}
					</c:if>
					
					<br/>
					
					<!-- author -->
					<c:set var="author_content" value="" />
					<c:forEach begin="0" end="${resultFieldsSize-1}" var="index_column">
						<c:set var="resultField" value="${resultFields[index_column]}" />
						<c:set var="resultFieldKey" value="${resultField.key}" />
						
						<c:if test="${resultFieldKey=='author'}">
							
								<c:set var="values_size" value="${result.finalAttributeValues[resultFieldKey].transformedValuesSize}" />
								<c:if test="${values_size!=0}">
								
									<c:forEach begin="0" end="${values_size-1}" var="index_value">
										<c:set var="value_to_add" value="${result.finalAttributeValues[resultFieldKey].transformedValues[index_value]}" />
										
										<c:if test="${not (fn:endsWith(author_content, ', ')) and author_content!='' and value_to_add!=null}">
											<c:set var="author_content" value="${author_content}, " />
										</c:if>
										
										<c:set var="author_content" value="${author_content}${value_to_add}" />
										
									</c:forEach>
									
									
								</c:if>
							
						</c:if>
					</c:forEach>
					
					
					
					<!-- doc_type -->
					<c:set var="format_content" value="" />
					<c:forEach begin="0" end="${resultFieldsSize-1}" var="index_column">
						<c:set var="resultField" value="${resultFields[index_column]}" />
						<c:set var="resultFieldKey" value="${resultField.key}" />
						
						<c:if test="${resultFieldKey=='doc_type'}">
							
								<c:set var="values_size" value="${result.finalAttributeValues[resultFieldKey].transformedValuesSize}" />
								<c:if test="${values_size!=0}">
								
									<c:forEach begin="0" end="${values_size-1}" var="index_value">
										<c:set var="value_to_add" value="${result.finalAttributeValues[resultFieldKey].transformedValues[index_value]}" />
										
										<c:if test="${not (fn:endsWith(format_content, ', ')) and format_content!='' and value_to_add!=null}">
											<c:set var="format_content" value="${format_content}, " />
										</c:if>
										
										<c:set var="format_content" value="${format_content}${value_to_add}" />
										
									</c:forEach>
									
									
								</c:if>
							
						</c:if>
					</c:forEach>
					<c:if test="${author_content!=''}">
						${author_content}
					</c:if>
					<c:if test="${format_content!=''}">
						<c:if test="${author_content!=''}">
							&#160;/&#160;
						</c:if>
						${format_content}
					</c:if>
					<c:if test="${author_content!='' or format_content!=''}">
						<br/>
					</c:if>


					<!-- TEST TP 4 - Ajout valeur cout dans page resultats - TEST -->
					<!-- cout -->
					<c:set var="cell_content" value="" />
					<c:forEach begin="0" end="${resultFieldsSize-1}" var="index_column">
						<c:set var="resultField" value="${resultFields[index_column]}" />
						<c:set var="resultFieldKey" value="${resultField.key}" />
						
						<c:if test="${resultFieldKey=='cost'}">
							<b>
								
									<c:set var="values_size" value="${result.finalAttributeValues[resultFieldKey].transformedValuesSize}" />
									<c:if test="${values_size!=0}">
									
										<c:forEach begin="0" end="${values_size-1}" var="index_value">
											<c:set var="value_to_add" value="${result.finalAttributeValues[resultFieldKey].transformedValues[index_value]}" />
											
											<c:if test="${not(fn:endsWith(cell_content, ', ')) and cell_content!='' and value_to_add!=null}">
												<c:set var="cell_content" value="${cell_content}, " />
											</c:if>
											
											<c:set var="cell_content" value="${cell_content}${value_to_add}" />
											
										</c:forEach>
									</c:if>
								
							</b>
						</c:if>
					</c:forEach>
					<c:if test="${cell_content!=''}">
						${cell_content}
					</c:if>
					<br/>
					<!-- Fin TEST -->					
					
					
					<!-- full text -->
					<c:set var="fulltext_content" value="" />
					<c:forEach begin="0" end="${resultFieldsSize-1}" var="index_column">
						<c:set var="resultField" value="${resultFields[index_column]}" />
						<c:set var="resultFieldKey" value="${resultField.key}" />
						
						<c:if test="${resultFieldKey=='fullText'}">
							
								<c:set var="values_size" value="${result.finalAttributeValues[resultFieldKey].transformedValuesSize}" />
								<c:if test="${values_size!=0}">
										<c:set var="fulltext_content" value="${fulltext_content}${result.finalAttributeValues[resultFieldKey].transformedValues[0]}" />
								</c:if>
							
						</c:if>
					</c:forEach>
					<c:if test="${fn:length(fulltext_content)>200}">
						<c:set var="fulltext_content" value="${fn:substring(fulltext_content, 0, 600)}..."/>
					</c:if>
					<c:if test="${fulltext_content!=''}">
						<i>${fulltext_content}</i>
						<br/>
					</c:if>
					
					
					<!-- resume -->
					<c:set var="resume_content" value="" />
					<c:forEach begin="0" end="${resultFieldsSize-1}" var="index_column">
						<c:set var="resultField" value="${resultFields[index_column]}" />
						<c:set var="resultFieldKey" value="${resultField.key}" />
						
						<c:if test="${resultFieldKey=='description'}">
							
								<c:set var="values_size" value="${result.finalAttributeValues[resultFieldKey].transformedValuesSize}" />
								<c:if test="${values_size!=0}">
									
									<c:forEach begin="0" end="${values_size-1}" var="index_value">
										<c:set var="resume_content" value="${resume_content}${result.finalAttributeValues[resultFieldKey].transformedValues[index_value]}" />
										<c:if test="${index_value!=(values_size-1)}">
											<c:set var="resume_content" value="${resume_content}<br/>" />
										</c:if>
									</c:forEach>
								</c:if>
							
						</c:if>
					</c:forEach>
					<c:set var="resume_content" value="${fn:replace(resume_content, '\"', '&#34;')}"/>
					
					<c:set var="keywords_content" value="" />
					<c:forEach begin="0" end="${resultFieldsSize-1}" var="index_column">
						<c:set var="resultField" value="${resultFields[index_column]}" />
						<c:set var="resultFieldKey" value="${resultField.key}" />
						
						<c:if test="${resultFieldKey=='keyword'}">
							
								<c:set var="values_size" value="${result.finalAttributeValues[resultFieldKey].transformedValuesSize}" />
								<c:if test="${values_size!=0}">
									
									<c:forEach begin="0" end="${values_size-1}" var="index_value">
										<c:set var="keywords_content" value="${keywords_content}${result.finalAttributeValues[resultFieldKey].transformedValues[index_value]}" />
										<c:if test="${index_value!=(values_size-1)}">
											<c:set var="keywords_content" value="${keywords_content}, " />
										</c:if>
									</c:forEach>
								</c:if>
							
						</c:if>
					</c:forEach>
					<c:set var="keywords_content" value="${fn:replace(keywords_content, '\"', '&#34;')}"/>
						
					<c:if test="${keywords_content!=''}">
						<c:set var="resume_content_keywords"><fmt:message key="results.documents-results.keywords"/></c:set>
						<c:set var="resume_content" value="${resume_content}<br/>${resume_content_keywords} : ${keywords_content}" />
					</c:if>
					
					
					
					<!-- acces a la ressource -->
					<c:set var="namespace" value="${result.values['md-ori-oai-namespace'].retrievedValues[0]}" />
					<c:set var="available_namespace" value="${availableNoticeFormats[namespace]}" />
					<c:set var="notice_url" value=""/>
					
					<c:if test="${available_namespace=='true'}">
						<c:set var="notice_idUtf" value="${result.noticeIdUtf}" />
						<c:set var="notice_id" value="${result.noticeId}" />
						
						<c:set var="notice_format" value="${result.values['md-ori-oai-namespace'].retrievedValues[0]}" />
						<c:set var="notice_url"><c:url value="/notice/${etab_id}"/></c:set>
						<c:set var="notice_format_voc_id" value="${formatVocIds[notice_format]}"/>
						<c:set var="notice_url" value="${notice_url}/${notice_idUtf}"/>
						<c:if test="${deployType=='portlet'}">
							<portlet:actionURL var="notice_url">
							<portlet:param name="action" value="urlmanager" />
							<portlet:param name="id" value="${notice_id}" />
							</portlet:actionURL>
						</c:if>
						
					</c:if>
					
					
						
					<div>
					
						<c:if test="${resume_content!=''}">	
							<span  class="ori-help-no-img" onmouseover="document.getElementById('item_${index_line}').className='ori-help-panel-display'" onmouseout="document.getElementById('item_${index_line}').className='ori-help-panel'">
								<span class="navigation_document_note">
								<fmt:message key="results.documents-results.resume"/>
								</span>
							</span>
							<div id="item_${index_line}" class="ori-help-panel">
								<div class="ori-help-title"><fmt:message key="results.documents-results.resume"/></div>
								<div class="ori-help-content">
									${resume_content}
								</div>
							</div> 
						
							&nbsp;|&nbsp;
						</c:if>
						
						<c:set var="href_class" value="navigation_document_note"/>
				
						<c:if test="${deployType=='servlet' and ajaxNotice==true}">
							<c:set var="notice_url" value="${notice_url}?height=500&amp;width=900"/>
							<c:set var="href_class" value="thickbox  ${href_class}"/>
						</c:if>
						
						<a href="${notice_url}" class="${href_class}" title="${notice_id}">
							<fmt:message key="results.documents-results.access"/>
						</a>
					</div> 
					
					
				<br/>
			</td>
		</tr>
		
	</c:forEach>
	
								
</table>								